Accessibility
Adobe
Sign in Privacy My Adobe

Security bulletin

Security updates available for Adobe Flash Player

Release date: November 12, 2013

Vulnerability identifier: APSB13-26

Priority: See table below

CVE number: CVE-2013-5329, CVE-2013-5330

Platform: All Platforms

Summary

Adobe has released security updates for Adobe Flash Player 11.9.900.117 and earlier versions for Windows and Macintosh and Adobe Flash Player 11.2.202.310 and earlier versions for Linux.  These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:
  • Users of Adobe Flash Player 11.9.900.117 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.9.900.152.
  • Users of Adobe Flash Player 11.2.202.310 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.327.
  • Adobe Flash Player 11.9.900.117 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.9.900.152 for Windows, Macintosh and Linux.
  • Adobe Flash Player 11.9.900.117 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.9.900.152 for Windows 8.0
  • Adobe Flash Player 11.9.900.117 installed with Internet Explorer 11 will automatically be updated to the latest Internet Explorer 11 version, which will include Adobe Flash Player 11.9.900.152 for Windows 8.1
  • Users of Adobe AIR 3.9.0.1030 and earlier versions for Windows and Macintosh should update to Adobe AIR 3.9.0.1210.
  • Users of Adobe AIR 3.9.0.1060 and earlier versions for Android should update to Adobe AIR 3.9.0.1210.
  • Users of the Adobe AIR 3.9.0.1030 SDK and earlier versions should update to the Adobe AIR 3.9.0.1210 SDK.
  • Users of the Adobe AIR 3.9.0.1030 SDK & Compiler and earlier versions should update to the Adobe AIR 3.9.0.1210 SDK & Compiler.

Affected software versions

  • Adobe Flash Player 11.9.900.117 and earlier versions for Windows and Macintosh
  • Adobe Flash Player 11.2.202.310  and earlier versions for Linux
  • Adobe AIR 3.9.0.1030 and earlier versions for Windows and Macintosh
  • Adobe AIR 3.9.0.1060 and earlier versions for Android
  • Adobe AIR 3.9.0.1030 SDK and earlier versions
  • Adobe AIR 3.9.0.1030 SDK & Compiler and earlier versions

To verify the version of Adobe Flash Player installed on your system, access the About Flash Player page, or right-click on content running in Flash Player and select "About Adobe (or Macromedia) Flash Player" from the menu.  If you use multiple browsers, perform the check for each browser you have installed on your system.

To verify the version of Adobe Flash Player for Android, go to Settings > Applications > Manage Applications > Adobe Flash Player x.x.

To verify the version of Adobe AIR installed on your system, follow the instructions in the Adobe AIR TechNote.

Solution

Adobe recommends users update their software installations by following the instructions below:

  • Adobe recommends users of Adobe Flash Player 11.9.900.117 and earlier versions for Windows and Macintosh update to the newest version 11.9.900.152 by downloading it from the Adobe Flash Player Download Center, or via the update mechanism within the product when prompted.
  • Adobe recommends users of Adobe Flash Player 11.2.202.310 and earlier versions for Linux update to Adobe Flash Player 11.2.202.327 by downloading it from the Adobe Flash Player Download Center.
  • For users of Flash Player 11.7.700.242 and earlier versions for Windows and Macintosh, who cannot update to Flash Player 11.9.900.152, Adobe has made available the update Flash Player 11.7.700.252, which can be downloaded here.* Note:  Beginning July 9, 2013, Adobe Flash Player 11.7.x replaced version 10.3.x as the extended support version.  Adobe recommends users upgrade to version 11.7.x in order to continue to receive security updates.  See this blog post for further details. 
  • Adobe Flash Player 11.9.900.117 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.9.900.152 for Windows, Macintosh and Linux.
  • Adobe Flash Player 11.9.900.117 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.9.900.152 for Windows 8.0
  • Adobe Flash Player 11.9.900.117 installed with Internet Explorer 11 will automatically be updated to the latest Internet Explorer 11 version, which will include Adobe Flash Player 11.9.900.152 for Windows 8.1
  • Users of Adobe AIR 3.9.0.1030 and earlier versions for Windows and Macintosh should update to Adobe AIR 3.9.0.1210.
  • Users of the Adobe AIR  3.9.0.1060 and earlier versions for Android should update to Adobe AIR 3.9.0.1210 by browsing to Google play on an Android device.

Priority and severity ratings

Adobe categorizes these updates with the following priority ratings and recommends users update their installations to the newest versions:

Product Updated version Platform   Priority rating
Adobe Flash Player 11.9.900.152 Windows & Macintosh   1
  11.7.700.252 Windows & Macintosh   1
  11.2.202.327 Linux   3
         
Adobe AIR 3.9.0.1210 Windows, Macintosh, Android, SDK and SDK & Compiler   3
         

These updates address critical vulnerabilities in the software.

Details

Adobe has released security updates for Adobe Flash Player 11.9.900.117 and earlier versions for Windows and Macintosh and Adobe Flash Player 11.2.202.310 and earlier versions for Linux.  These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 11.9.900.117 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.9.900.152.
  • Users of Adobe Flash Player 11.2.202.310 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.327.
  • Adobe Flash Player 11.9.900.117 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.9.900.152 for Windows, Macintosh and Linux.
  • Adobe Flash Player 11.9.900.117 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.9.900.152 for Windows 8.0
  • Adobe Flash Player 11.9.900.117 installed with Internet Explorer 11 will automatically be updated to the latest Internet Explorer 11 version, which will include Adobe Flash Player 11.9.900.152 for Windows 8.1
  • Users of Adobe AIR 3.9.0.1030 and earlier versions for Windows and Macintosh should update to Adobe AIR 3.9.0.1210.
  • Users of Adobe AIR 3.9.0.1060 and earlier versions for Android should update to Adobe AIR 3.9.0.1210.
  • Users of the Adobe AIR 3.9.0.1030 SDK and earlier versions should update to the Adobe AIR 3.9.0.1210 SDK.
  • Users of the Adobe AIR 3.9.0.1030 SDK & Compiler and earlier versions should update to the Adobe AIR 3.9.0.1210 SDK & Compiler.

These updates resolve memory corruption vulnerabilities that could lead to code execution (CVE-2013-5329, CVE-2013-5330).

Affected software   Recommended player update Availability
Flash Player 11.9.900.117 and earlier versions for Windows and Macintosh   11.9.900.152 Flash Player Download Center
Flash Player 11.9.900.117 and earlier versions (network distribution)   11.9.900.152 Flash Player Licensing
Flash Player 11.2.202.310 and earlier for Linux   11.2.202.327 Flash Player Download Center
Flash Player 11.9.900.117 and earlier for Chrome (Windows, Macintosh and Linux)   11.9.900.152 Google Chrome Releases
Flash Player 11.9.900.117 and earlier in Internet Explorer 10 for Windows 8.0   11.9.900.152 Microsoft Security Advisory
Flash Player 11.9.900.117 and earlier in Internet Explorer 11 for Windows 8.1   11.9.900.152 Microsoft Security Advisory
AIR 3.9.0.1030 and earlier for Windows and Macintosh   3.9.0.1210 AIR Download Center
AIR 3.9.0.1030 SDK   3.9.0.1210 AIR SDK Download
AIR 3.9.0.1030 SDK & Compiler   3.9.0.1210 AIR SDK Download
AIR 3.9.0.1060 and earlier for Android   3.9.0.1210 Google Play

Acknowledgments

Adobe would like to thank the following individuals for reporting the relevant issues and for working with Adobe to help protect our customers:

  • Wen Guanxing of Venustech adlab (China) (CVE-2013-5329)
  • Anonymously reported via HP's Zero Day Initiative (CVE-2013-5330)